org.apache.cassandra.utils

## Class LatencyTracker

- java.lang.Object
- - org.apache.cassandra.utils.LatencyTracker

-     public class LatencyTracker
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LatencyTracker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMicro(long micros)`
    `void` | `addNano(long nanos)` takes nanoseconds
    `long` | `getOpCount()`
    `long[]` | `getRecentLatencyHistogramMicros()`
    `double` | `getRecentLatencyMicros()` returns microseconds
    `long[]` | `getTotalLatencyHistogramMicros()`
    `long` | `getTotalLatencyMicros()` returns microseconds

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LatencyTracker

          public LatencyTracker()

  - ### Method Detail

    - #### addNano

          public void addNano(long nanos)

      takes nanoseconds

    - #### addMicro

          public void addMicro(long micros)

    - #### getOpCount

          public long getOpCount()

    - #### getTotalLatencyMicros

          public long getTotalLatencyMicros()

      returns microseconds

    - #### getRecentLatencyMicros

          public double getRecentLatencyMicros()

      returns microseconds

    - #### getTotalLatencyHistogramMicros

          public long[] getTotalLatencyHistogramMicros()

    - #### getRecentLatencyHistogramMicros

          public long[] getRecentLatencyHistogramMicros()

Copyright © 2014 The Apache Software Foundation